﻿using EF_Core_7_MVC.Models;
using Microsoft.AspNetCore.Mvc;

namespace EF_Core_7_MVC.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            List<Customer> customers = (from customer in this.Context.Customers.Take(10)
                                        select customer).ToList();
            return View(customers);
        }
    }
}